package com.link.core.minio;

import com.link.core.util.SpringUtil;
import io.minio.MinioClient;
import org.springframework.core.env.Environment;

public class IniMinioClient {
   private static volatile MinioClient instance;

   public static MinioClient getInstance() {
      if (null == instance) {
         Class var0 = MinioClient.class;
         synchronized(MinioClient.class) {
            if (null == instance) {
               instance = MinioClient.builder().endpoint(((Environment)SpringUtil.getBean(Environment.class)).getProperty("minio.endpoint")).credentials(((Environment)SpringUtil.getBean(Environment.class)).getProperty("minio.accesskey"), ((Environment)SpringUtil.getBean(Environment.class)).getProperty("minio.secretkey")).build();
            }
         }
      }

      return instance;
   }
}
